Package org.apache.groovy.parser.antlr4

# Class GroovyParser.SwitchStatementContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.SwitchStatementContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.SwitchStatementContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwitchStatementContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `GroovyParser.ExpressionInParContext`
  `expressionInPar()`
  `int`
  `getRuleIndex()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `LBRACE()`
  `List<? extends GroovyParser.NlsContext>`
  `nls()`
  `GroovyParser.NlsContext`
  `nls(int i)`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `RBRACE()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `SWITCH()`
  `List<? extends GroovyParser.SwitchBlockStatementGroupContext>`
  `switchBlockStatementGroup()`
  `GroovyParser.SwitchBlockStatementGroupContext`
  `switchBlockStatementGroup(int i)`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### SwitchStatementContext

    public SwitchStatementContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

- ## Method Details

  - ### SWITCH

    public org.antlr.v4.runtime.tree.TerminalNode SWITCH()

  - ### expressionInPar

    public GroovyParser.ExpressionInParContext expressionInPar()

  - ### nls

    public List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls(int i)

  - ### LBRACE

    public org.antlr.v4.runtime.tree.TerminalNode LBRACE()

  - ### RBRACE

    public org.antlr.v4.runtime.tree.TerminalNode RBRACE()

  - ### switchBlockStatementGroup

    public List<? extends GroovyParser.SwitchBlockStatementGroupContext> switchBlockStatementGroup()

  - ### switchBlockStatementGroup

    public GroovyParser.SwitchBlockStatementGroupContext switchBlockStatementGroup(int i)

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`